Skip to main content
Versionv1

Phone Number API (v1)

Download OpenAPI specification:Download

Phone Number

Get Phone Numbers

Get a list of all Phone Numbers linked to a given Voice Account.

Authorizations:
X-CM-PRODUCTTOKEN
path Parameters
accountGuid
required
string <uuid>
Example: 00000000-0000-0000-0000-000000000000

Unique identifier of the Logical Account or Voice Account.

query Parameters
skip
integer or null <int32> [ 0 .. 2147483647 ]

Skip.

take
integer or null <int32> [ 1 .. 25 ]

Take.

Responses

Response samples

Content type
No sample

Update Phone Number config

Updates the configuration for the given Phone Numbers.

Authorizations:
X-CM-PRODUCTTOKEN
path Parameters
accountGuid
required
string <uuid>
Example: 00000000-0000-0000-0000-000000000000

Unique identifier of the Logical Account or Voice Account.

Request Body schema:

Dictionary of phone numbers and configs

Array
One of
phoneNumber
integer <int64>

The Phone Number that the current configuration applies to.

appAccountGuid
string <uuid>

The unique identifier of the application can be found in the Voice Management App in the API Settings section.

type
string

The Application type that should be used. Can be either directforwarding, flowbuilder, notification, sip, halo or none.

destinationNumber
integer <int64>

The Phone Number that the call will be forwarded to.

customCallerId
integer or null <int64>

Optional caller ID (CLI) that will be used when the call is forwarded.

Responses

Request samples

Content type
[
  • {
    }
]

Response samples

Content type
application/json
[
  • {
    }
]

Export Phone Numbers to Excel

Exports a list of all inbound Phone Numbers linked to a given Voice Account or all Voice Accounts in an organization in Excel format.

Authorizations:
X-CM-PRODUCTTOKEN
path Parameters
accountGuid
required
string <uuid>
Example: 00000000-0000-0000-0000-000000000000

Unique identifier of the Logical Account or Voice Account.

query Parameters
exportAll
boolean
Default: false

Wheter all Voice Accounts whithin the organization should be included or not.

Responses

Response samples

Content type
No sample

Update Phone Number Company Profile

Update the Company Profile of a Phone Number to change the connected address.

Authorizations:
X-CM-PRODUCTTOKEN
path Parameters
accountGuid
required
string <uuid>

Unique identifier of the voice account or logical account

phoneNumber
required
integer <int64>

The start phone number of the phone number range to update

Request Body schema:

The company profile guid to update to

companyProfileGuid
string <uuid>

Unique identifier of the company profile to update the Phone Number with

Responses

Request samples

Content type
{
  • "companyProfileGuid": "ce61a77a-60e5-4541-bef6-1725debb3e92"
}

Response samples

Content type
No sample

Get all phone numbers

As a Voice Reseller, you can use this endpoint to view all phone numbers owned by all of your managed voice accounts.\n\r\n\rPlease note: This endpoint is only available for Voice Resellers.

Authorizations:
X-CM-PRODUCTTOKEN
path Parameters
organizationId
required
integer <int32>

Identifier of the organization

query Parameters
skip
integer or null <int32> [ 0 .. 2147483647 ]

Skip.

take
integer or null <int32> [ 1 .. 25 ]

Take.

Responses

Response samples

Content type
No sample

Phone Number Range

Update Phone Number alias

Update the Phone Number alias to help identify it from other numbers.

Authorizations:
X-CM-PRODUCTTOKEN
path Parameters
accountGuid
required
string <uuid>
Example: 00000000-0000-0000-0000-000000000000

Unique identifier of the Logical Account or Voice Account.

phoneNumber
required
integer <int64>
Example: 31761000000

The Phone Number to be updated.

Request Body schema:

CM.Voice.PhoneNumberApi.Models.Api.ApiCustomerAliasCustomerRequest

customerAlias
string or null^[a-zA-Z0-9À-ÿ\-@'().\/\+?&|\s]*$

New Phone Number alias that can be used to differentiate a Phone Number.

Responses

Request samples

Content type
{
  • "customerAlias": "Breda Office Front Desk"
}

Response samples

Content type
application/json
{
  • "originalNumber": 32760000000,
  • "number": 32700000000,
  • "customerAlias": "Breda office front desk"
}